#include <iostream>

using namespace std;

int main()
{
    int tim1, tim2, trenutni1, trenutni2;
    cin >> tim1 >> tim2;
    cin >> trenutni1 >> trenutni2;
    tim1 -= trenutni1;
    tim2 -= trenutni2;
    if (tim1 == 0 && tim2 == 0)
    {
        cout << "nijedan";
    }
    else if (tim1 > 0 && tim2 == 0) 
    {
        cout << "prvi";
    }
    else if (tim1 == 0 && tim2 > 0)
    {
        cout << "drugi";
    }
    else if (tim1 > 0 && tim2 > 0)
    {
        cout << "?";
    }
}